{%- render 'cart-drawer',
  tip_price: section.settings.tip_price,
  tip_product: section.settings.tip_product,
  upsell_heading1: section.settings.upsell_heading1,
  upsell_heading2: section.settings.upsell_heading2,
  upsell_title: section.settings.upsell_title,
  upsell_sub_title: section.settings.upsell_sub_title,
  upsell_proudct: section.settings.upsell_proudct,
  cart_blocks: section.blocks
-%}

{% schema %}
{
  "name": "Cart Drawer",
  "settings": [
    {
      "type": "header",
      "content": "Tip product"
    },
    {
      "type": "number",
      "id": "tip_price",
      "label": "Price for tips"
    },
    {
      "type": "product",
      "id": "tip_product",
      "label": "Tip product"
    },
    {
      "type": "header",
      "content": "Upsell porduct"
    },
    {
      "type": "text",
      "id": "upsell_heading1",
      "label": "Upsell Heading1 Text"
    },
    {
      "type": "text",
      "id": "upsell_heading2",
      "label": "Upsell Heading2 Text"
    },
    {
      "type": "text",
      "id": "upsell_title",
      "label": "Upsell title text"
    },
    {
      "type": "text",
      "id": "upsell_sub_title",
      "label": "Upsell sub title text"
    },
    {
      "type": "product",
      "id": "upsell_proudct",
      "label": "Upsell product"
    }
  ],
  "blocks": [
    {
      "type": "featured_collection_grid",
      "name": "Featured collection grid",
      "settings": [
        {
          "type": "collection",
          "label": "Collection Item",
          "id": "collection"
        }
      ]
    }
  ]
}
{% endschema %}
